For the complete documentation index, see llms.txt. This page is also available as Markdown.

Journals

Get Journals by Id

get
Required scopes
This endpoint requires the following scopes:
  • : Access Younium API
Authorizations
OAuth2passwordRequired
Token URL:
Path parameters
idstring · uuidRequired

The Journal identifier

Header parameters
api-versionstringOptional
Responses
200

Success

application/json
idstring · uuidOptional
journalNumberstring · nullableOptional
journalTypestring · enumOptionalPossible values:
descriptionstring · nullableOptional
postedbooleanOptional
postedDatestring · date-time · nullableOptional
externalERPIdstring · nullableOptional
transferredToERPstring · date-time · nullableOptional

Date of when journal was transferred to external ERP.

Example: 2022-12-03
createdstring · date-timeOptional
modifiedstring · date-timeOptional
get/Journals/{id}
GET /Journals/{id} HTTP/1.1
Host: api.younium.com
Authorization: Bearer YOUR_OAUTH2_TOKEN
Accept: */*
{
  "id": "123e4567-e89b-12d3-a456-426614174000",
  "journalNumber": "text",
  "accountingPeriod": {
    "description": "text",
    "fiscalYear": 1,
    "fiscalPeriod": 1,
    "fiscalQuarter": 1,
    "calendarYear": 1,
    "calendarMonth": 1,
    "startDate": "2026-01-01T00:00:00.000Z",
    "endDate": "2026-01-01T00:00:00.000Z",
    "status": "Open",
    "closedDate": "2026-01-01T00:00:00.000Z"
  },
  "journalType": "Invoice",
  "description": "text",
  "posted": true,
  "postedDate": "2026-01-01T00:00:00.000Z",
  "vouchers": [
    {
      "transactionNumber": "text",
      "effectiveDate": "2026-01-01T00:00:00.000Z",
      "source": "Invoicing",
      "transactions": [
        {
          "description": "text",
          "account": "text",
          "accountExternalCRMId": "text",
          "accountExternalERPId": "text",
          "accountExternalCode": "text",
          "debitAmount": 1,
          "creditAmount": 1,
          "salesCurrencyDebitAmount": 1,
          "salesCurrencyCreditAmount": 1,
          "salesCurrency": "text",
          "exchangeRate": 1,
          "customFields": {
            "ANY_ADDITIONAL_PROPERTY": "anything"
          }
        }
      ],
      "orderChargeNumber": "text",
      "orderChargeId": "123e4567-e89b-12d3-a456-426614174000",
      "revenueScheduleItemId": "123e4567-e89b-12d3-a456-426614174000",
      "invoiceNumber": "text",
      "invoiceAccountId": "123e4567-e89b-12d3-a456-426614174000",
      "invoiceId": "123e4567-e89b-12d3-a456-426614174000",
      "invoiceLineId": "123e4567-e89b-12d3-a456-426614174000",
      "paymentId": "123e4567-e89b-12d3-a456-426614174000",
      "paymentSettlementId": "123e4567-e89b-12d3-a456-426614174000",
      "externalERPId": "text",
      "externalCRMId": "text",
      "created": "2026-01-01T00:00:00.000Z",
      "modified": "2026-01-01T00:00:00.000Z"
    }
  ],
  "externalERPId": "text",
  "transferredToERP": "2022-12-03",
  "created": "2026-01-01T00:00:00.000Z",
  "modified": "2026-01-01T00:00:00.000Z"
}

Patch Journals

patch
Required scopes
This endpoint requires the following scopes:
  • : Access Younium API
Authorizations
OAuth2passwordRequired
Token URL:
Path parameters
idstring · uuidRequired
Header parameters
api-versionstringOptional
Body
descriptionstring · nullableOptional
externalERPIdstring · nullableOptional
transferredToERPstring · date-time · nullableOptional

Date of when journal was transferred to external ERP.

Example: 2022-12-03
Responses
200

Success

No content

patch/Journals/{id}
PATCH /Journals/{id} HTTP/1.1
Host: api.younium.com
Authorization: Bearer YOUR_OAUTH2_TOKEN
Content-Type: application/merge-patch+json
Accept: */*
Content-Length: 77

{
  "description": "text",
  "externalERPId": "text",
  "transferredToERP": "2022-12-03"
}

No content

get
Required scopes
This endpoint requires the following scopes:
  • : Access Younium API
Authorizations
OAuth2passwordRequired
Token URL:
Query parameters
FilterstringOptional

Filter the results. See developer resources for more information. On endpoints whose entity supports custom fields you can also filter by custom field: customFieldEq('fieldName', 'value') (equals) or customFieldExist('fieldName') (field has a non-empty value). Custom-field functions may only be combined with and.

Example: name eq 'Adam' and age gt 20 and customFieldEq('region', 'EU')
OrderBystringOptional

Sorting the results. See developer resources for more information

Example: accountNumber Desc
ModifiedAfterstring · date-timeOptional

Apply a separate modified After filter. See 'ModifiedBefore' filter for further details.

Example: 2026-07-01
ModifiedBeforestring · date-timeOptional

Filter is also applied on sub entities: 'vouchers' (accounting transactions), 'transactions' and 'customFields' on transactions

Example: 2026-07-01
PageSizeinteger · int32Optional

Page Size

Example: 20
PageNumberinteger · int32Optional

Page Number

Example: 1
Header parameters
api-versionstringOptional
Responses
200

Success

application/json
pageNumberinteger · int32Optional
pageSizeinteger · int32Optional
totalPagesinteger · int32 · nullableOptional
totalCountinteger · int32Optional
nextPagestring · uri · nullableOptional
previousPagestring · uri · nullableOptional
firstPagestring · uri · nullableOptional
lastPagestring · uri · nullableOptional
get/Journals
GET /Journals HTTP/1.1
Host: api.younium.com
Authorization: Bearer YOUR_OAUTH2_TOKEN
Accept: */*
{
  "pageNumber": 1,
  "pageSize": 1,
  "totalPages": 1,
  "totalCount": 1,
  "nextPage": "https://example.com",
  "previousPage": "https://example.com",
  "firstPage": "https://example.com",
  "lastPage": "https://example.com",
  "data": [
    {
      "id": "123e4567-e89b-12d3-a456-426614174000",
      "journalNumber": "text",
      "accountingPeriod": {
        "description": "text",
        "fiscalYear": 1,
        "fiscalPeriod": 1,
        "fiscalQuarter": 1,
        "calendarYear": 1,
        "calendarMonth": 1,
        "startDate": "2026-01-01T00:00:00.000Z",
        "endDate": "2026-01-01T00:00:00.000Z",
        "status": "Open",
        "closedDate": "2026-01-01T00:00:00.000Z"
      },
      "journalType": "Invoice",
      "description": "text",
      "posted": true,
      "postedDate": "2026-01-01T00:00:00.000Z",
      "vouchers": [
        {
          "transactionNumber": "text",
          "effectiveDate": "2026-01-01T00:00:00.000Z",
          "source": "Invoicing",
          "transactions": [
            {
              "description": "text",
              "account": "text",
              "accountExternalCRMId": "text",
              "accountExternalERPId": "text",
              "accountExternalCode": "text",
              "debitAmount": 1,
              "creditAmount": 1,
              "salesCurrencyDebitAmount": 1,
              "salesCurrencyCreditAmount": 1,
              "salesCurrency": "text",
              "exchangeRate": 1,
              "customFields": {
                "ANY_ADDITIONAL_PROPERTY": "anything"
              }
            }
          ],
          "orderChargeNumber": "text",
          "orderChargeId": "123e4567-e89b-12d3-a456-426614174000",
          "revenueScheduleItemId": "123e4567-e89b-12d3-a456-426614174000",
          "invoiceNumber": "text",
          "invoiceAccountId": "123e4567-e89b-12d3-a456-426614174000",
          "invoiceId": "123e4567-e89b-12d3-a456-426614174000",
          "invoiceLineId": "123e4567-e89b-12d3-a456-426614174000",
          "paymentId": "123e4567-e89b-12d3-a456-426614174000",
          "paymentSettlementId": "123e4567-e89b-12d3-a456-426614174000",
          "externalERPId": "text",
          "externalCRMId": "text",
          "created": "2026-01-01T00:00:00.000Z",
          "modified": "2026-01-01T00:00:00.000Z"
        }
      ],
      "externalERPId": "text",
      "transferredToERP": "2022-12-03",
      "created": "2026-01-01T00:00:00.000Z",
      "modified": "2026-01-01T00:00:00.000Z"
    }
  ]
}

Get Journal details

get
Required scopes
This endpoint requires the following scopes:
  • : Access Younium API
Authorizations
OAuth2passwordRequired
Token URL:
Query parameters
FilterstringOptional

Filter the results. See developer resources for more information. On endpoints whose entity supports custom fields you can also filter by custom field: customFieldEq('fieldName', 'value') (equals) or customFieldExist('fieldName') (field has a non-empty value). Custom-field functions may only be combined with and.

Example: name eq 'Adam' and age gt 20 and customFieldEq('region', 'EU')
OrderBystringOptional

Sorting the results. See developer resources for more information

Example: accountNumber Desc
ModifiedAfterstring · date-timeOptional

Apply a separate modified After filter. See 'ModifiedBefore' filter for further details.

Example: 2026-07-01
ModifiedBeforestring · date-timeOptional

Apply a separate filter to only get records that has been modified Before the specified date time.

Example: 2026-07-01
PageSizeinteger · int32Optional

Page Size

Example: 20
PageNumberinteger · int32Optional

Page Number

Example: 1
Header parameters
api-versionstringOptional
Responses
200

Success

application/json
pageNumberinteger · int32Optional
pageSizeinteger · int32Optional
totalPagesinteger · int32 · nullableOptional
totalCountinteger · int32Optional
nextPagestring · uri · nullableOptional
previousPagestring · uri · nullableOptional
firstPagestring · uri · nullableOptional
lastPagestring · uri · nullableOptional
get/Journals/JournalDetails
GET /Journals/JournalDetails HTTP/1.1
Host: api.younium.com
Authorization: Bearer YOUR_OAUTH2_TOKEN
Accept: */*
{
  "pageNumber": 1,
  "pageSize": 1,
  "totalPages": 1,
  "totalCount": 1,
  "nextPage": "https://example.com",
  "previousPage": "https://example.com",
  "firstPage": "https://example.com",
  "lastPage": "https://example.com",
  "data": [
    {
      "id": "123e4567-e89b-12d3-a456-426614174000",
      "journalNumber": "text",
      "accountingPeriod": {
        "description": "text",
        "fiscalYear": 1,
        "fiscalPeriod": 1,
        "fiscalQuarter": 1,
        "calendarYear": 1,
        "calendarMonth": 1,
        "startDate": "2026-01-01T00:00:00.000Z",
        "endDate": "2026-01-01T00:00:00.000Z",
        "status": "Open",
        "closedDate": "2026-01-01T00:00:00.000Z"
      },
      "journalType": "Invoice",
      "description": "text",
      "posted": true,
      "postedDate": "2026-01-01T00:00:00.000Z",
      "externalERPId": "text",
      "transferredToERP": "2022-12-03",
      "created": "2026-01-01T00:00:00.000Z",
      "modified": "2026-01-01T00:00:00.000Z"
    }
  ]
}

Get Summary for journal

get
Required scopes
This endpoint requires the following scopes:
  • : Access Younium API
Authorizations
OAuth2passwordRequired
Token URL:
Path parameters
idstring · uuidRequired
Header parameters
api-versionstringOptional
Responses
200

Success

application/json
pageNumberinteger · int32Optional
pageSizeinteger · int32Optional
totalPagesinteger · int32 · nullableOptional
totalCountinteger · int32Optional
nextPagestring · uri · nullableOptional
previousPagestring · uri · nullableOptional
firstPagestring · uri · nullableOptional
lastPagestring · uri · nullableOptional
get/Journals/{id}/JournalSummary
GET /Journals/{id}/JournalSummary HTTP/1.1
Host: api.younium.com
Authorization: Bearer YOUR_OAUTH2_TOKEN
Accept: */*
{
  "pageNumber": 1,
  "pageSize": 1,
  "totalPages": 1,
  "totalCount": 1,
  "nextPage": "https://example.com",
  "previousPage": "https://example.com",
  "firstPage": "https://example.com",
  "lastPage": "https://example.com",
  "data": [
    {
      "summaryLines": [
        {
          "accountCode": "text",
          "accountName": "text",
          "creditAmount": 1,
          "debitAmount": 1,
          "dimensions": {
            "ANY_ADDITIONAL_PROPERTY": "anything"
          }
        }
      ],
      "id": "123e4567-e89b-12d3-a456-426614174000",
      "journalNumber": "text",
      "accountingPeriod": {
        "description": "text",
        "fiscalYear": 1,
        "fiscalPeriod": 1,
        "fiscalQuarter": 1,
        "calendarYear": 1,
        "calendarMonth": 1,
        "startDate": "2026-01-01T00:00:00.000Z",
        "endDate": "2026-01-01T00:00:00.000Z",
        "status": "Open",
        "closedDate": "2026-01-01T00:00:00.000Z"
      },
      "journalType": "Invoice",
      "description": "text",
      "posted": true,
      "postedDate": "2026-01-01T00:00:00.000Z",
      "externalERPId": "text",
      "transferredToERP": "2022-12-03",
      "created": "2026-01-01T00:00:00.000Z",
      "modified": "2026-01-01T00:00:00.000Z"
    }
  ]
}

Get Accounting Transactions by Fiscal Year

get

Get Accounting transactions by fiscal year.

Required scopes
This endpoint requires the following scopes:
  • : Access Younium API
Authorizations
OAuth2passwordRequired
Token URL:
Path parameters
yearinteger · int32Required
Query parameters
FilterstringOptional

Filter the results. See developer resources for more information. On endpoints whose entity supports custom fields you can also filter by custom field: customFieldEq('fieldName', 'value') (equals) or customFieldExist('fieldName') (field has a non-empty value). Custom-field functions may only be combined with and.

Example: name eq 'Adam' and age gt 20 and customFieldEq('region', 'EU')
OrderBystringOptional

Sorting the results. See developer resources for more information

Example: accountNumber Desc
ModifiedAfterstring · date-timeOptional

Apply a separate modified After filter. See 'ModifiedBefore' filter for further details.

Example: 2026-07-01
ModifiedBeforestring · date-timeOptional

Filter is applied on sub entities: transactions and transaction custom fields

Example: 2026-07-01
PageSizeinteger · int32Optional

Page Size

Example: 20
PageNumberinteger · int32Optional

Page Number

Example: 1
Header parameters
api-versionstringOptional
Responses
200

Success

application/json
pageNumberinteger · int32Optional
pageSizeinteger · int32Optional
totalPagesinteger · int32 · nullableOptional
totalCountinteger · int32Optional
nextPagestring · uri · nullableOptional
previousPagestring · uri · nullableOptional
firstPagestring · uri · nullableOptional
lastPagestring · uri · nullableOptional
get/Journals/AccountingTransactions/{year}
GET /Journals/AccountingTransactions/{year} HTTP/1.1
Host: api.younium.com
Authorization: Bearer YOUR_OAUTH2_TOKEN
Accept: */*
{
  "pageNumber": 1,
  "pageSize": 1,
  "totalPages": 1,
  "totalCount": 1,
  "nextPage": "https://example.com",
  "previousPage": "https://example.com",
  "firstPage": "https://example.com",
  "lastPage": "https://example.com",
  "data": [
    {
      "transactionNumber": "text",
      "effectiveDate": "2026-01-01T00:00:00.000Z",
      "source": "Invoicing",
      "transactions": [
        {
          "description": "text",
          "account": "text",
          "accountExternalCRMId": "text",
          "accountExternalERPId": "text",
          "accountExternalCode": "text",
          "debitAmount": 1,
          "creditAmount": 1,
          "salesCurrencyDebitAmount": 1,
          "salesCurrencyCreditAmount": 1,
          "salesCurrency": "text",
          "exchangeRate": 1,
          "customFields": {
            "ANY_ADDITIONAL_PROPERTY": "anything"
          }
        }
      ],
      "orderChargeNumber": "text",
      "orderChargeId": "123e4567-e89b-12d3-a456-426614174000",
      "revenueScheduleItemId": "123e4567-e89b-12d3-a456-426614174000",
      "invoice": {
        "id": "123e4567-e89b-12d3-a456-426614174000",
        "invoiceNumber": "text",
        "status": "Draft",
        "notes": "text",
        "invoiceDate": "2026-01-01T00:00:00.000Z",
        "currency": "text",
        "subtotal": 1,
        "tax": 1,
        "totalAmount": 1,
        "settledAmount": 1,
        "taxIncluded": true,
        "invoiceBatchId": "123e4567-e89b-12d3-a456-426614174000",
        "invoiceType": "Invoice",
        "customFields": {
          "ANY_ADDITIONAL_PROPERTY": "anything"
        },
        "externalERPId": "text",
        "externalCRMId": "text"
      },
      "invoiceAccountId": "123e4567-e89b-12d3-a456-426614174000",
      "invoiceId": "123e4567-e89b-12d3-a456-426614174000",
      "invoiceLineId": "123e4567-e89b-12d3-a456-426614174000",
      "paymentId": "123e4567-e89b-12d3-a456-426614174000",
      "paymentSettlementId": "123e4567-e89b-12d3-a456-426614174000",
      "invoiceAccount": {
        "id": "123e4567-e89b-12d3-a456-426614174000",
        "accountNumber": "text",
        "accountType": "Customer",
        "invoiceDeliveryMethod": "Email",
        "name": "text",
        "organizationNumber": "text",
        "accountsReceivable": "text",
        "currencyCode": "text",
        "taxRegistrationNumber": "text",
        "taxTemplate": "text",
        "invoiceBatchGroupId": "123e4567-e89b-12d3-a456-426614174000",
        "invoiceSettingGroupId": "123e4567-e89b-12d3-a456-426614174000",
        "customFields": {
          "ANY_ADDITIONAL_PROPERTY": "anything"
        },
        "externalERPId": "text",
        "externalCRMId": "text"
      },
      "journalId": "123e4567-e89b-12d3-a456-426614174000",
      "externalERPId": "text",
      "externalCRMId": "text",
      "created": "2026-01-01T00:00:00.000Z",
      "modified": "2026-01-01T00:00:00.000Z"
    }
  ]
}

Get Accounting Transactions by Fiscal Period

get

Get Accounting transactions by fiscal year and period.

Required scopes
This endpoint requires the following scopes:
  • : Access Younium API
Authorizations
OAuth2passwordRequired
Token URL:
Path parameters
yearinteger · int32Required
periodinteger · int32Required
Query parameters
FilterstringOptional

Filter the results. See developer resources for more information. On endpoints whose entity supports custom fields you can also filter by custom field: customFieldEq('fieldName', 'value') (equals) or customFieldExist('fieldName') (field has a non-empty value). Custom-field functions may only be combined with and.

Example: name eq 'Adam' and age gt 20 and customFieldEq('region', 'EU')
OrderBystringOptional

Sorting the results. See developer resources for more information

Example: accountNumber Desc
ModifiedAfterstring · date-timeOptional

Apply a separate modified After filter. See 'ModifiedBefore' filter for further details.

Example: 2026-07-01
ModifiedBeforestring · date-timeOptional

Filter is applied on sub entities: transactions and transaction custom fields

Example: 2026-07-01
PageSizeinteger · int32Optional

Page Size

Example: 20
PageNumberinteger · int32Optional

Page Number

Example: 1
Header parameters
api-versionstringOptional
Responses
200

Success

application/json
pageNumberinteger · int32Optional
pageSizeinteger · int32Optional
totalPagesinteger · int32 · nullableOptional
totalCountinteger · int32Optional
nextPagestring · uri · nullableOptional
previousPagestring · uri · nullableOptional
firstPagestring · uri · nullableOptional
lastPagestring · uri · nullableOptional
get/Journals/AccountingTransactions/{year}/FiscalPeriod/{period}
GET /Journals/AccountingTransactions/{year}/FiscalPeriod/{period} HTTP/1.1
Host: api.younium.com
Authorization: Bearer YOUR_OAUTH2_TOKEN
Accept: */*
{
  "pageNumber": 1,
  "pageSize": 1,
  "totalPages": 1,
  "totalCount": 1,
  "nextPage": "https://example.com",
  "previousPage": "https://example.com",
  "firstPage": "https://example.com",
  "lastPage": "https://example.com",
  "data": [
    {
      "transactionNumber": "text",
      "effectiveDate": "2026-01-01T00:00:00.000Z",
      "source": "Invoicing",
      "transactions": [
        {
          "description": "text",
          "account": "text",
          "accountExternalCRMId": "text",
          "accountExternalERPId": "text",
          "accountExternalCode": "text",
          "debitAmount": 1,
          "creditAmount": 1,
          "salesCurrencyDebitAmount": 1,
          "salesCurrencyCreditAmount": 1,
          "salesCurrency": "text",
          "exchangeRate": 1,
          "customFields": {
            "ANY_ADDITIONAL_PROPERTY": "anything"
          }
        }
      ],
      "orderChargeNumber": "text",
      "orderChargeId": "123e4567-e89b-12d3-a456-426614174000",
      "revenueScheduleItemId": "123e4567-e89b-12d3-a456-426614174000",
      "invoice": {
        "id": "123e4567-e89b-12d3-a456-426614174000",
        "invoiceNumber": "text",
        "status": "Draft",
        "notes": "text",
        "invoiceDate": "2026-01-01T00:00:00.000Z",
        "currency": "text",
        "subtotal": 1,
        "tax": 1,
        "totalAmount": 1,
        "settledAmount": 1,
        "taxIncluded": true,
        "invoiceBatchId": "123e4567-e89b-12d3-a456-426614174000",
        "invoiceType": "Invoice",
        "customFields": {
          "ANY_ADDITIONAL_PROPERTY": "anything"
        },
        "externalERPId": "text",
        "externalCRMId": "text"
      },
      "invoiceAccountId": "123e4567-e89b-12d3-a456-426614174000",
      "invoiceId": "123e4567-e89b-12d3-a456-426614174000",
      "invoiceLineId": "123e4567-e89b-12d3-a456-426614174000",
      "paymentId": "123e4567-e89b-12d3-a456-426614174000",
      "paymentSettlementId": "123e4567-e89b-12d3-a456-426614174000",
      "invoiceAccount": {
        "id": "123e4567-e89b-12d3-a456-426614174000",
        "accountNumber": "text",
        "accountType": "Customer",
        "invoiceDeliveryMethod": "Email",
        "name": "text",
        "organizationNumber": "text",
        "accountsReceivable": "text",
        "currencyCode": "text",
        "taxRegistrationNumber": "text",
        "taxTemplate": "text",
        "invoiceBatchGroupId": "123e4567-e89b-12d3-a456-426614174000",
        "invoiceSettingGroupId": "123e4567-e89b-12d3-a456-426614174000",
        "customFields": {
          "ANY_ADDITIONAL_PROPERTY": "anything"
        },
        "externalERPId": "text",
        "externalCRMId": "text"
      },
      "journalId": "123e4567-e89b-12d3-a456-426614174000",
      "externalERPId": "text",
      "externalCRMId": "text",
      "created": "2026-01-01T00:00:00.000Z",
      "modified": "2026-01-01T00:00:00.000Z"
    }
  ]
}

Get Accounting Transactions by Fiscal Quarter

get

Get Accounting transactions by fiscal year and quarter.

Required scopes
This endpoint requires the following scopes:
  • : Access Younium API
Authorizations
OAuth2passwordRequired
Token URL:
Path parameters
yearinteger · int32Required
quarterinteger · int32Required
Query parameters
FilterstringOptional

Filter the results. See developer resources for more information. On endpoints whose entity supports custom fields you can also filter by custom field: customFieldEq('fieldName', 'value') (equals) or customFieldExist('fieldName') (field has a non-empty value). Custom-field functions may only be combined with and.

Example: name eq 'Adam' and age gt 20 and customFieldEq('region', 'EU')
OrderBystringOptional

Sorting the results. See developer resources for more information

Example: accountNumber Desc
ModifiedAfterstring · date-timeOptional

Apply a separate modified After filter. See 'ModifiedBefore' filter for further details.

Example: 2026-07-01
ModifiedBeforestring · date-timeOptional

Filter is applied on sub entities: transactions and transaction custom fields

Example: 2026-07-01
PageSizeinteger · int32Optional

Page Size

Example: 20
PageNumberinteger · int32Optional

Page Number

Example: 1
Header parameters
api-versionstringOptional
Responses
200

Success

application/json
pageNumberinteger · int32Optional
pageSizeinteger · int32Optional
totalPagesinteger · int32 · nullableOptional
totalCountinteger · int32Optional
nextPagestring · uri · nullableOptional
previousPagestring · uri · nullableOptional
firstPagestring · uri · nullableOptional
lastPagestring · uri · nullableOptional
get/Journals/AccountingTransactions/{year}/FiscalQuarter/{quarter}
GET /Journals/AccountingTransactions/{year}/FiscalQuarter/{quarter} HTTP/1.1
Host: api.younium.com
Authorization: Bearer YOUR_OAUTH2_TOKEN
Accept: */*
{
  "pageNumber": 1,
  "pageSize": 1,
  "totalPages": 1,
  "totalCount": 1,
  "nextPage": "https://example.com",
  "previousPage": "https://example.com",
  "firstPage": "https://example.com",
  "lastPage": "https://example.com",
  "data": [
    {
      "transactionNumber": "text",
      "effectiveDate": "2026-01-01T00:00:00.000Z",
      "source": "Invoicing",
      "transactions": [
        {
          "description": "text",
          "account": "text",
          "accountExternalCRMId": "text",
          "accountExternalERPId": "text",
          "accountExternalCode": "text",
          "debitAmount": 1,
          "creditAmount": 1,
          "salesCurrencyDebitAmount": 1,
          "salesCurrencyCreditAmount": 1,
          "salesCurrency": "text",
          "exchangeRate": 1,
          "customFields": {
            "ANY_ADDITIONAL_PROPERTY": "anything"
          }
        }
      ],
      "orderChargeNumber": "text",
      "orderChargeId": "123e4567-e89b-12d3-a456-426614174000",
      "revenueScheduleItemId": "123e4567-e89b-12d3-a456-426614174000",
      "invoice": {
        "id": "123e4567-e89b-12d3-a456-426614174000",
        "invoiceNumber": "text",
        "status": "Draft",
        "notes": "text",
        "invoiceDate": "2026-01-01T00:00:00.000Z",
        "currency": "text",
        "subtotal": 1,
        "tax": 1,
        "totalAmount": 1,
        "settledAmount": 1,
        "taxIncluded": true,
        "invoiceBatchId": "123e4567-e89b-12d3-a456-426614174000",
        "invoiceType": "Invoice",
        "customFields": {
          "ANY_ADDITIONAL_PROPERTY": "anything"
        },
        "externalERPId": "text",
        "externalCRMId": "text"
      },
      "invoiceAccountId": "123e4567-e89b-12d3-a456-426614174000",
      "invoiceId": "123e4567-e89b-12d3-a456-426614174000",
      "invoiceLineId": "123e4567-e89b-12d3-a456-426614174000",
      "paymentId": "123e4567-e89b-12d3-a456-426614174000",
      "paymentSettlementId": "123e4567-e89b-12d3-a456-426614174000",
      "invoiceAccount": {
        "id": "123e4567-e89b-12d3-a456-426614174000",
        "accountNumber": "text",
        "accountType": "Customer",
        "invoiceDeliveryMethod": "Email",
        "name": "text",
        "organizationNumber": "text",
        "accountsReceivable": "text",
        "currencyCode": "text",
        "taxRegistrationNumber": "text",
        "taxTemplate": "text",
        "invoiceBatchGroupId": "123e4567-e89b-12d3-a456-426614174000",
        "invoiceSettingGroupId": "123e4567-e89b-12d3-a456-426614174000",
        "customFields": {
          "ANY_ADDITIONAL_PROPERTY": "anything"
        },
        "externalERPId": "text",
        "externalCRMId": "text"
      },
      "journalId": "123e4567-e89b-12d3-a456-426614174000",
      "externalERPId": "text",
      "externalCRMId": "text",
      "created": "2026-01-01T00:00:00.000Z",
      "modified": "2026-01-01T00:00:00.000Z"
    }
  ]
}

Get Accounting Transactions by fiscal year and Financial Accounts

get
Required scopes
This endpoint requires the following scopes:
  • : Access Younium API
Authorizations
OAuth2passwordRequired
Token URL:
Path parameters
yearinteger · int32Required
financialAccountstringRequired

Code or Id

Query parameters
FilterstringOptional

Filter the results. See developer resources for more information. On endpoints whose entity supports custom fields you can also filter by custom field: customFieldEq('fieldName', 'value') (equals) or customFieldExist('fieldName') (field has a non-empty value). Custom-field functions may only be combined with and.

Example: name eq 'Adam' and age gt 20 and customFieldEq('region', 'EU')
OrderBystringOptional

Sorting the results. See developer resources for more information

Example: accountNumber Desc
ModifiedAfterstring · date-timeOptional

Apply a separate modified After filter. See 'ModifiedBefore' filter for further details.

Example: 2026-07-01
ModifiedBeforestring · date-timeOptional

Filter is applied on sub entities: transactions and transaction custom fields

Example: 2026-07-01
PageSizeinteger · int32Optional

Page Size

Example: 20
PageNumberinteger · int32Optional

Page Number

Example: 1
Header parameters
api-versionstringOptional
Responses
200

Success

application/json
pageNumberinteger · int32Optional
pageSizeinteger · int32Optional
totalPagesinteger · int32 · nullableOptional
totalCountinteger · int32Optional
nextPagestring · uri · nullableOptional
previousPagestring · uri · nullableOptional
firstPagestring · uri · nullableOptional
lastPagestring · uri · nullableOptional
get/Journals/AccountingTransactions/{year}/FinancialAccounts/{financialAccount}
GET /Journals/AccountingTransactions/{year}/FinancialAccounts/{financialAccount} HTTP/1.1
Host: api.younium.com
Authorization: Bearer YOUR_OAUTH2_TOKEN
Accept: */*
{
  "pageNumber": 1,
  "pageSize": 1,
  "totalPages": 1,
  "totalCount": 1,
  "nextPage": "https://example.com",
  "previousPage": "https://example.com",
  "firstPage": "https://example.com",
  "lastPage": "https://example.com",
  "data": [
    {
      "transactionNumber": "text",
      "effectiveDate": "2026-01-01T00:00:00.000Z",
      "source": "Invoicing",
      "transactions": [
        {
          "description": "text",
          "account": "text",
          "accountExternalCRMId": "text",
          "accountExternalERPId": "text",
          "accountExternalCode": "text",
          "debitAmount": 1,
          "creditAmount": 1,
          "salesCurrencyDebitAmount": 1,
          "salesCurrencyCreditAmount": 1,
          "salesCurrency": "text",
          "exchangeRate": 1,
          "customFields": {
            "ANY_ADDITIONAL_PROPERTY": "anything"
          }
        }
      ],
      "orderChargeNumber": "text",
      "orderChargeId": "123e4567-e89b-12d3-a456-426614174000",
      "revenueScheduleItemId": "123e4567-e89b-12d3-a456-426614174000",
      "invoice": {
        "id": "123e4567-e89b-12d3-a456-426614174000",
        "invoiceNumber": "text",
        "status": "Draft",
        "notes": "text",
        "invoiceDate": "2026-01-01T00:00:00.000Z",
        "currency": "text",
        "subtotal": 1,
        "tax": 1,
        "totalAmount": 1,
        "settledAmount": 1,
        "taxIncluded": true,
        "invoiceBatchId": "123e4567-e89b-12d3-a456-426614174000",
        "invoiceType": "Invoice",
        "customFields": {
          "ANY_ADDITIONAL_PROPERTY": "anything"
        },
        "externalERPId": "text",
        "externalCRMId": "text"
      },
      "invoiceAccountId": "123e4567-e89b-12d3-a456-426614174000",
      "invoiceId": "123e4567-e89b-12d3-a456-426614174000",
      "invoiceLineId": "123e4567-e89b-12d3-a456-426614174000",
      "paymentId": "123e4567-e89b-12d3-a456-426614174000",
      "paymentSettlementId": "123e4567-e89b-12d3-a456-426614174000",
      "invoiceAccount": {
        "id": "123e4567-e89b-12d3-a456-426614174000",
        "accountNumber": "text",
        "accountType": "Customer",
        "invoiceDeliveryMethod": "Email",
        "name": "text",
        "organizationNumber": "text",
        "accountsReceivable": "text",
        "currencyCode": "text",
        "taxRegistrationNumber": "text",
        "taxTemplate": "text",
        "invoiceBatchGroupId": "123e4567-e89b-12d3-a456-426614174000",
        "invoiceSettingGroupId": "123e4567-e89b-12d3-a456-426614174000",
        "customFields": {
          "ANY_ADDITIONAL_PROPERTY": "anything"
        },
        "externalERPId": "text",
        "externalCRMId": "text"
      },
      "journalId": "123e4567-e89b-12d3-a456-426614174000",
      "externalERPId": "text",
      "externalCRMId": "text",
      "created": "2026-01-01T00:00:00.000Z",
      "modified": "2026-01-01T00:00:00.000Z"
    }
  ]
}

Get Accounting Transactions by Journal Id

get
Required scopes
This endpoint requires the following scopes:
  • : Access Younium API
Authorizations
OAuth2passwordRequired
Token URL:
Path parameters
idstring · uuidRequired
Query parameters
FilterstringOptional

Filter the results. See developer resources for more information. On endpoints whose entity supports custom fields you can also filter by custom field: customFieldEq('fieldName', 'value') (equals) or customFieldExist('fieldName') (field has a non-empty value). Custom-field functions may only be combined with and.

Example: name eq 'Adam' and age gt 20 and customFieldEq('region', 'EU')
OrderBystringOptional

Sorting the results. See developer resources for more information

Example: accountNumber Desc
ModifiedAfterstring · date-timeOptional

Apply a separate modified After filter. See 'ModifiedBefore' filter for further details.

Example: 2026-07-01
ModifiedBeforestring · date-timeOptional

Filter is applied on sub entities: transactions and transaction custom fields

Example: 2026-07-01
PageSizeinteger · int32Optional

Page Size

Example: 20
PageNumberinteger · int32Optional

Page Number

Example: 1
Header parameters
api-versionstringOptional
Responses
200

Success

application/json
pageNumberinteger · int32Optional
pageSizeinteger · int32Optional
totalPagesinteger · int32 · nullableOptional
totalCountinteger · int32Optional
nextPagestring · uri · nullableOptional
previousPagestring · uri · nullableOptional
firstPagestring · uri · nullableOptional
lastPagestring · uri · nullableOptional
get/Journals/{id}/AccountingTransactions
GET /Journals/{id}/AccountingTransactions HTTP/1.1
Host: api.younium.com
Authorization: Bearer YOUR_OAUTH2_TOKEN
Accept: */*
{
  "pageNumber": 1,
  "pageSize": 1,
  "totalPages": 1,
  "totalCount": 1,
  "nextPage": "https://example.com",
  "previousPage": "https://example.com",
  "firstPage": "https://example.com",
  "lastPage": "https://example.com",
  "data": [
    {
      "transactionNumber": "text",
      "effectiveDate": "2026-01-01T00:00:00.000Z",
      "source": "Invoicing",
      "transactions": [
        {
          "description": "text",
          "account": "text",
          "accountExternalCRMId": "text",
          "accountExternalERPId": "text",
          "accountExternalCode": "text",
          "debitAmount": 1,
          "creditAmount": 1,
          "salesCurrencyDebitAmount": 1,
          "salesCurrencyCreditAmount": 1,
          "salesCurrency": "text",
          "exchangeRate": 1,
          "customFields": {
            "ANY_ADDITIONAL_PROPERTY": "anything"
          }
        }
      ],
      "orderChargeNumber": "text",
      "orderChargeId": "123e4567-e89b-12d3-a456-426614174000",
      "revenueScheduleItemId": "123e4567-e89b-12d3-a456-426614174000",
      "invoice": {
        "id": "123e4567-e89b-12d3-a456-426614174000",
        "invoiceNumber": "text",
        "status": "Draft",
        "notes": "text",
        "invoiceDate": "2026-01-01T00:00:00.000Z",
        "currency": "text",
        "subtotal": 1,
        "tax": 1,
        "totalAmount": 1,
        "settledAmount": 1,
        "taxIncluded": true,
        "invoiceBatchId": "123e4567-e89b-12d3-a456-426614174000",
        "invoiceType": "Invoice",
        "customFields": {
          "ANY_ADDITIONAL_PROPERTY": "anything"
        },
        "externalERPId": "text",
        "externalCRMId": "text"
      },
      "invoiceAccountId": "123e4567-e89b-12d3-a456-426614174000",
      "invoiceId": "123e4567-e89b-12d3-a456-426614174000",
      "invoiceLineId": "123e4567-e89b-12d3-a456-426614174000",
      "paymentId": "123e4567-e89b-12d3-a456-426614174000",
      "paymentSettlementId": "123e4567-e89b-12d3-a456-426614174000",
      "invoiceAccount": {
        "id": "123e4567-e89b-12d3-a456-426614174000",
        "accountNumber": "text",
        "accountType": "Customer",
        "invoiceDeliveryMethod": "Email",
        "name": "text",
        "organizationNumber": "text",
        "accountsReceivable": "text",
        "currencyCode": "text",
        "taxRegistrationNumber": "text",
        "taxTemplate": "text",
        "invoiceBatchGroupId": "123e4567-e89b-12d3-a456-426614174000",
        "invoiceSettingGroupId": "123e4567-e89b-12d3-a456-426614174000",
        "customFields": {
          "ANY_ADDITIONAL_PROPERTY": "anything"
        },
        "externalERPId": "text",
        "externalCRMId": "text"
      },
      "journalId": "123e4567-e89b-12d3-a456-426614174000",
      "externalERPId": "text",
      "externalCRMId": "text",
      "created": "2026-01-01T00:00:00.000Z",
      "modified": "2026-01-01T00:00:00.000Z"
    }
  ]
}

Last updated

Was this helpful?